Bug 148761 - kernel OOPS with aacraid driver and adaptec tools
kernel OOPS with aacraid driver and adaptec tools
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 08:02 EST by Klaus Steinberger
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 02:38:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for adapter open error (242 bytes, patch)
2005-04-24 05:56 EDT, Klaus Steinberger
no flags Details | Diff

  None (edit)
Description Klaus Steinberger 2005-02-15 08:02:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041221 Firefox/1.0

Description of problem:
The aacraid driver in kernel 2.6.10-1.12_FC2 (same happens with 2.6.10-1.9_FC2) oopses when the Adaptec Raid Tools are used. aaccli as well as the adaptec-smbe suite triggers the oops.




Version-Release number of selected component (if applicable):
kernel-smp-2.6.10-1.12_FC2

How reproducible:
Always

Steps to Reproduce:
1. start aaccli utility
2. give command "controller list"
3. Kernel oops happens

  

Actual Results:  aaccli shows the list of the controllers, then segfaults. In /var/log/messages the following kernel oops will be found:

Feb  3 15:17:47 mllrd02 kernel: Unable to handle kernel NULL pointer dereference at virtual address 00000034
Feb  3 15:17:47 mllrd02 kernel:  printing eip:
Feb  3 15:17:47 mllrd02 kernel: c02bdc64
Feb  3 15:17:47 mllrd02 kernel: *pde = 0ff7e001
Feb  3 15:17:47 mllrd02 kernel: Oops: 0000 [#4]
Feb  3 15:17:47 mllrd02 kernel: SMP
Feb  3 15:17:47 mllrd02 kernel: Modules linked in: nfsd exportfs nfs lockd parport_pc lp parport autofs4 sunrpc iptable_filter ip_tables tg3 floppy sg microcode ohci_hcd video button battery ac md5 ipv6 ext3 jbd dm_mod qla2300 qla2xxx scsi_transport_fc aacraid aic79xx sd_mod scsi_mod
Feb  3 15:17:47 mllrd02 kernel: CPU:    3
Feb  3 15:17:47 mllrd02 kernel: EIP:    0060:[<c02bdc64>]    Not tainted VLI
Feb  3 15:17:47 mllrd02 kernel: EFLAGS: 00010046   (2.6.10-1.9_FC2smp)
Feb  3 15:17:47 mllrd02 kernel: EIP is at _spin_lock_irqsave+0x7/0x45
Feb  3 15:17:47 mllrd02 kernel: eax: 00000030   ebx: 00000246   ecx: bfffde20   edx: bfffde20
Feb  3 15:17:47 mllrd02 kernel: esi: 00000030   edi: 00000030   ebp: bfffde20   esp: f23b8f5c
Feb  3 15:17:47 mllrd02 kernel: ds: 007b   es: 007b   ss: 0068
Feb  3 15:17:47 mllrd02 kernel: Process aaccli (pid: 31590, threadinfo=f23b8000 task=ecf20530)
Feb  3 15:17:47 mllrd02 kernel: Stack: 00042008 00000000 f882e000 00042008 bfffde20 00000000 f882d179 00042008
Feb  3 15:17:47 mllrd02 kernel:        bfffde20 00000000 00042008 f882da28 f8834740 bfffde20 e6895080 c016146c
Feb  3 15:17:47 mllrd02 kernel:        bfffde20 f2b6a998 ffffffe7 00001000 00000000 00000003 00000001 0057a0dc
Feb  3 15:17:47 mllrd02 kernel: Call Trace:
Feb  3 15:17:47 mllrd02 kernel:  [<f882e000>] fib_alloc+0xf/0x55 [aacraid]
Feb  3 15:17:47 mllrd02 kernel:  [<f882d179>] ioctl_send_fib+0xd/0xdb [aacraid]
Feb  3 15:17:47 mllrd02 kernel:  [<f882da28>] aac_do_ioctl+0x71/0xb3 [aacraid]
Feb  3 15:17:47 mllrd02 kernel:  [<c016146c>] sys_ioctl+0x1e0/0x200
Feb  3 15:17:47 mllrd02 kernel:  [<c0103ccb>] syscall_call+0x7/0xb
Feb  3 15:17:47 mllrd02 kernel: Code: 6c 00 e0 39 2d c0 0f b6 02 84 c0 7e 08 0f 0b 6d 00 e0 39 2d c0 86 0a c3 f0 81 00 00 00 00 01 c3 f0 ff 00 c3 56 89 c6 53 9c 5b fa <81> 78 04 ad 4e ad de 74 18 ff 74 24 08 68 00 4a 2d c0 e8 c6 04


Additional info:
Comment 1 Dave Jones 2005-04-16 00:54:14 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 2 Klaus Steinberger 2005-04-21 06:31:34 EDT
The bug is not fixed with Errata Kernel 2.6.11-1.14_FC3

Same as before. I Tested it with an 2.6.11-1.14 Kernel rebuilt for FC2 ( I
currently can not upgrade the production system to FC3 due to some reasons)

Apr 21 10:53:33 www adaptec-smbe: arcpd startup succeeded
Apr 21 10:53:36 www adaptec-smbe: anotifyd startup succeeded
Apr 21 10:53:36 www kernel: Unable to handle kernel NULL pointer dereference at
virtual address 00000034
Apr 21 10:53:36 www kernel:  printing eip:
Apr 21 10:53:36 www kernel: c03227a0
Apr 21 10:53:36 www kernel: *pde = 359b2001
Apr 21 10:53:36 www kernel: Oops: 0000 [#2]
Apr 21 10:53:36 www kernel: SMP
Apr 21 10:53:36 www kernel: Modules linked in: md5 ipv6 iptable_filter ip_tables
tg3 floppy sg microcode ohci_hcd video button battery ac ext3 jbd dm_mod aacraid
aic79xx sd_modscsi_mod
Apr 21 10:53:36 www kernel: CPU:    3
Apr 21 10:53:36 www kernel: EIP:    0060:[<c03227a0>]    Not tainted VLI
Apr 21 10:53:36 www kernel: EFLAGS: 00010086   (2.6.11-1.14_FC2.rootsmp)
Apr 21 10:53:36 www kernel: EIP is at _spin_lock_irqsave+0x10/0x60
Apr 21 10:53:36 www kernel: eax: 00000030   ebx: 00000286   ecx: bffff080   edx:
bffff080
Apr 21 10:53:36 www kernel: esi: 00000030   edi: 00000030   ebp: bffff080   esp:
f5ecff14
Apr 21 10:53:36 www kernel: ds: 007b   es: 007b   ss: 0068
Apr 21 10:53:36 www kernel: Process aacsnmpd (pid: 3091, threadinfo=f5ecf000
task=f5a01020)
Apr 21 10:53:36 www kernel: Stack: 00000000 0000fe01 00042008 00000000 f886ac4a
00042008 00000000 00000000
Apr 21 10:53:36 www kernel:        f8869b80 42676a06 00000000 42676a06 00000000
42676a06 00042008 bffff080
Apr 21 10:53:36 www kernel:        00000000 bffff080 f886a560 f8871d80 f54da880
ffffffe7 c017580a bffff080
Apr 21 10:53:36 www kernel: Call Trace:
Apr 21 10:53:36 www kernel:  [<f886ac4a>] fib_alloc+0x1a/0x70 [aacraid]
Apr 21 10:53:36 www kernel:  [<f8869b80>] ioctl_send_fib+0x10/0x110 [aacraid]
Apr 21 10:53:36 www kernel:  [<f886a560>] aac_do_ioctl+0x60/0xcf [aacraid]
Apr 21 10:53:36 www kernel:  [<c017580a>] do_ioctl+0x6a/0x90
Apr 21 10:53:36 www kernel:  [<c0175a7e>] vfs_ioctl+0x5e/0x1d0
Apr 21 10:53:36 www kernel:  [<c0175c4b>] sys_ioctl+0x5b/0x90
Apr 21 10:53:36 www kernel:  [<c0104203>] syscall_call+0x7/0xb
Apr 21 10:53:36 www kernel: Code: af de 75 0c f0 83 28 01 79 05 e8 9c e4 ff ff
c3 0f 0b d7 00 78 a7 33 c0 eb ea 90 83 ec 10 89 74 24 0c 89 c6 89 5c 24 08 9c 5b
fa <81> 78 04 ad4e ad de 75 26 f0 fe 0e 79 13 f7 c3 00 02 00 00 74

Sincerly,
Klaus
Comment 3 Dave Jones 2005-04-21 13:08:07 EDT
please report this to the upstream developers at linux-scsi@vger.kernel.org

Comment 4 Klaus Steinberger 2005-04-22 02:24:31 EDT
Report to upstream sent.
See: http://marc.theaimsgroup.com/?l=linux-scsi&m=111414921308476&w=2

Sincerly,
Klaus
Comment 5 Klaus Steinberger 2005-04-24 05:56:24 EDT
Created attachment 113592 [details]
Fix for adapter open error

This one line fix solves the problem with the adaptec Raid Tools
Comment 6 Klaus Steinberger 2005-04-24 05:58:15 EDT
I have appended a patch from upstream. Please look also on the following message:

http://marc.theaimsgroup.com/?l=linux-scsi&m=111341390607308&w=2

Sincerly,
Klaus
Comment 7 Dave Jones 2005-04-29 18:04:48 EDT
merged in cvs, will be in next build.

Note You need to log in before you can comment on or make changes to this bug.